int N, L, indeks = -1;

do {
    scanf("%d",&N);
} while(N<1 || N>1000);

do {
    scanf("%d",&L);
} while(L<1 || L>1000000000);

int stalaktiti[N];
unsigned i;

for (i=0;i<N;i++) {
    scanf("%d",&stalaktiti[i]);
}

for (i=0;i<N;i++) {
    if(L>=stalaktiti[i]) {
        indeks = i+1;
        break;
    }
}
printf("%d",indeks);